## gnome-shell-mailnag 3.12.1

=== Makefile ===
CC = valac
LIBS = folks
UUID = mailnag@pulb.github.com
FILES = aggregate-avatars.vala
DATA = extension.js indicator.js source.js utils.js convenience.js prefs.js stylesheet.css metadata.json
DATADIR = share/gnome-shell/extensions/$(UUID)
SCHEMAS = schemas/org.gnome.shell.extensions.mailnag.gschema.xml
SCHEMASDIR = share/glib-2.0/schemas
PROGRAMS = aggregate-avatars

prefix = /usr

$(PROGRAMS): $(FILES)
	$(CC) --pkg $(LIBS) $(FILES)


.PHONY: install
install: $(PROGRAMS) $(DATA) $(SCHEMAS)
	test -d $(prefix)/bin || mkdir --parents $(prefix)/bin
	for p in $(PROGRAMS); do \
		install -m 0755 $$p $(prefix)/bin; \
	done
	
	test -d $(prefix)/$(DATADIR) || mkdir --parents $(prefix)/$(DATADIR)
	for d in $(DATA); do \
		install -m 0644 $$d $(prefix)/$(DATADIR); \
	done
	
	test -d $(prefix)/$(SCHEMASDIR) || mkdir --parents $(prefix)/$(SCHEMASDIR)
	for d in $(SCHEMAS); do \
		install -m 0644 $$d $(prefix)/$(SCHEMASDIR); \
	done


install-local: $(PROGRAMS) $(DATA) $(SCHEMAS)
	test -d ~/.local/$(DATADIR) || mkdir --parents ~/.local/$(DATADIR)
	
	for p in $(PROGRAMS); do \
		install -m 0755 $$p ~/.local/$(DATADIR); \
	done
	
	for d in $(DATA); do \
		install -m 0644 $$d ~/.local/$(DATADIR); \
	done
	
	test -d $(prefix)/$(DATADIR)/schemas || mkdir --parents ~/.local/$(DATADIR)/schemas
	for d in $(SCHEMAS); do \
		install -m 0644 $$d ~/.local/$(DATADIR)/schemas; \
	done
	
	glib-compile-schemas ~/.local/$(DATADIR)/schemas


.PHONY: clean
clean:
	rm -f $(PROGRAMS)

=== debian/changelog ===
gnome-shell-mailnag (3.12.1-1) unstable; urgency=low

  * Initial release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 04 Aug 2014 00:57:52 -0700

=== debian/control ===
Source: gnome-shell-mailnag
Section: gnome
Priority: optional
Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends: debhelper (>= 9), libfolks-dev, valac
Standards-Version: 3.9.5
Homepage: https://github.com/pulb/mailnag-gnome-shell
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/gnome-shell-mailnag/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/gnome-shell-mailnag/trunk

Package: gnome-shell-mailnag
Architecture: any
Depends: gnome-shell, mailnag (>= 0.9), ${misc:Depends}, ${shlibs:Depends}
Description: mail notification extension for GNOME Shell
 This package provides GNOME Shell integration for Mailnag. It includes the
 following features:
 .
   - Notifies about new mails via the messaging tray (including a counter
     badge)
   - Shows an indicator in the top panel (including counter badge and popup
     menu)
   - Lock screen integration

## gnome-shell-mailnag 3.14.0

=== debian/changelog ===
gnome-shell-mailnag (3.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 23 Oct 2014 23:19:50 -0700

gnome-shell-mailnag (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Restrict to arch linux-any.
  * Update Standards-Version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 20 Sep 2014 13:51:33 -0700

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9), libfolks-dev, valac
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/pulb/mailnag-gnome-shell
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/gnome-shell-mailnag/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/gnome-shell-mailnag/trunk
 
 Package: gnome-shell-mailnag
-Architecture: any
+Architecture: linux-any
 Depends: gnome-shell, mailnag (>= 0.9), ${misc:Depends}, ${shlibs:Depends}
 Description: mail notification extension for GNOME Shell
  This package provides GNOME Shell integration for Mailnag. It includes the

## gnome-shell-mailnag 3.14.1

=== debian/changelog ===
gnome-shell-mailnag (3.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 06 Feb 2015 10:36:42 -0800

## gnome-shell-mailnag 3.16.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 LIBS = folks
 UUID = mailnag@pulb.github.com
 FILES = aggregate-avatars.vala
-DATA = extension.js indicator.js source.js utils.js convenience.js prefs.js stylesheet.css metadata.json
+DATA = extension.js indicator.js utils.js convenience.js prefs.js stylesheet.css metadata.json
 DATADIR = share/gnome-shell/extensions/$(UUID)
 SCHEMAS = schemas/org.gnome.shell.extensions.mailnag.gschema.xml
 SCHEMASDIR = share/glib-2.0/schemas

=== debian/changelog ===
gnome-shell-mailnag (3.16.0-1) unstable; urgency=medium

  * New upstream release.
    - Compatible with gnome-shell 3.16 and 3.18. (Closes: #802508)
    - Restrict gnome-shell dependency versions in d/control.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 21 Dec 2015 00:47:44 -0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,12 @@
 
 Package: gnome-shell-mailnag
 Architecture: linux-any
-Depends: gnome-shell, mailnag (>= 0.9), ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ gnome-shell (<< 3.19~),
+ gnome-shell (>= 3.16),
+ mailnag (>= 1.1.0),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: mail notification extension for GNOME Shell
  This package provides GNOME Shell integration for Mailnag. It includes the
  following features:

## gnome-shell-mailnag 3.20.0

=== debian/changelog ===
gnome-shell-mailnag (3.20.0-2) unstable; urgency=medium

  * Update metadata.json to support gnome-shell 3.22.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 02 Jan 2017 14:09:09 -0800

gnome-shell-mailnag (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.8, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 11 Apr 2016 23:18:06 -0700

gnome-shell-mailnag (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Loosen restriction on gnome-shell dependency.
  * Update Standards-Version to 3.9.7, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 04 Apr 2016 16:17:22 -0700

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9), libfolks-dev, valac
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/pulb/mailnag-gnome-shell
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/gnome-shell-mailnag/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/gnome-shell-mailnag/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/gnome-shell-mailnag/trunk
 
 Package: gnome-shell-mailnag
 Architecture: linux-any
 Depends:
- gnome-shell (<< 3.19~),
  gnome-shell (>= 3.16),
  mailnag (>= 1.1.0),
  ${misc:Depends},

## gnome-shell-mailnag 3.26.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 LIBS = folks
 UUID = mailnag@pulb.github.com
 FILES = aggregate-avatars.vala
-DATA = extension.js indicator.js utils.js convenience.js prefs.js stylesheet.css metadata.json
+DATA = extension.js indicator.js utils.js convenience.js prefs.js opts.js stylesheet.css metadata.json
 DATADIR = share/gnome-shell/extensions/$(UUID)
 SCHEMAS = schemas/org.gnome.shell.extensions.mailnag.gschema.xml
 SCHEMASDIR = share/glib-2.0/schemas

=== debian/changelog ===
gnome-shell-mailnag (3.26.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop all patches; applied upstream.
  * Update Standards version from 3.9.8 to 4.1.3.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 28 Feb 2018 03:43:36 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9), libfolks-dev, valac
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/pulb/mailnag-gnome-shell
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/gnome-shell-mailnag/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/gnome-shell-mailnag/trunk

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mailnag-gnome-shell-$1\.tar\.gz/ \
 https://github.com/pulb/mailnag-gnome-shell/releases .*/v?(\d\S*)\.tar\.gz

## gnome-shell-mailnag 3.28.0

=== debian/changelog ===
gnome-shell-mailnag (3.28.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * Build-Depend on gjs to only build on architectures where this package
    will be installable (Closes: #910701)
  * Update debian/watch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Nov 2018 17:18:05 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Vincent Cheng <vcheng@debian.org>
-Build-Depends: debhelper (>= 9), libfolks-dev, valac
+Build-Depends: debhelper (>= 9), libfolks-dev, valac, gjs
 Standards-Version: 4.1.3
 Homepage: https://github.com/pulb/mailnag-gnome-shell
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/gnome-shell-mailnag/trunk

=== debian/watch ===
version=4
https://github.com/pulb/mailnag-gnome-shell/releases \
	.*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## gnome-shell-mailnag 3.38.1

=== debian/changelog ===
gnome-shell-mailnag (3.38.1-1) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #968541)
  * New upstream release.
    - For GNOME 3.38. (Closes: #956167)
    - Fixes Vala error. (Closes: #948128)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Feb 2021 22:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gnome-shell-mailnag
 Section: gnome
 Priority: optional
-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libfolks-dev, valac, gjs
 Standards-Version: 4.1.3
 Homepage: https://github.com/pulb/mailnag-gnome-shell

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) install prefix="$(CURDIR)/debian/gnome-shell-mailnag/usr"

## gnome-shell-mailnag 40.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CC = valac
+CC = valac $(foreach w,$(CFLAGS) $(LDFLAGS),-X $(w))
 LIBS = folks
 UUID = mailnag@pulb.github.com
 FILES = aggregate-avatars.vala

=== debian/changelog ===
gnome-shell-mailnag (40.0-7) unstable; urgency=medium

  * Restore 40.0-5 changes
  * Mark compatible with GNOME Shell 46
  * Add Depends: gnome-shell-extension-prefs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Apr 2024 14:43:56 -0400

gnome-shell-mailnag (40.0-6) unstable; urgency=medium

  * QA upload
  * Revert 40.0-5 changes since they are not compatibile
    with GNOME Shell 44 which is currently in Debian Unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Apr 2024 12:54:42 -0400

gnome-shell-mailnag (40.0-5) unstable; urgency=medium

  * QA upload
  * Add GNOME 45 compatibility (Closes: #1052113)

 -- Bastian Germann <bage@debian.org>  Sat, 11 Nov 2023 21:12:35 +0100

gnome-shell-mailnag (40.0-4) unstable; urgency=medium

  * QA upload
  * Update metadata.json patch to mark compatible with GNOME Shell 44
  * debian/control: Bump maximum gnome-shell to 44

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Feb 2023 09:57:47 -0500

gnome-shell-mailnag (40.0-3) unstable; urgency=medium

  * QA upload
  * Update patch to mark compatible with GNOME Shell 43
  * debian/control: Bump maximum gnome-shell to 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 16:05:13 -0400

gnome-shell-mailnag (40.0-2) unstable; urgency=medium

  * Add patch to mark compatible with GNOME Shell 41 & 42 (Closes: #996077)
  * debian/control: Specify the GNOME Shell version dependency
    to match metadata.json

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 09:08:36 -0400

gnome-shell-mailnag (40.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 40.0
    - Compatible with GNOME 40. Closes: #993203
  * d/control:
    - Remove Vcs-* entries, no longer exists.
    - Update Standards-Version to 4.6.0
    - Use debhelper-compat and bump debhelper to 13
    - Add Rules-Requires-Root: no
  * d/watch: Update URL.
  * d/rules:
    - Add compiler hardening
    - Remove trailing whitespace
  * d/copyright: Update years
  * d/upstream/metadata: Add Bug-Database, Bug-Submit, Repository
    and Repository-Browse.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 12 Sep 2021 20:18:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), libfolks-dev, valac, gjs
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13), libfolks-dev, valac, gjs
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/pulb/mailnag-gnome-shell
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/gnome-shell-mailnag/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/gnome-shell-mailnag/trunk
 
 Package: gnome-shell-mailnag
 Architecture: linux-any
 Depends:
- gnome-shell (>= 3.16),
+ gnome-shell (>= 45), gnome-shell (<< 47~),
+ gnome-shell-extension-prefs,
  mailnag (>= 1.1.0),
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install prefix="$(CURDIR)/debian/gnome-shell-mailnag/usr"

=== debian/watch ===
version=4
https://github.com/pulb/mailnag-gnome-shell/releases \
	.*/v@ANY_VERSION@@ARCHIVE_EXT@
